Bug 1039365 - drpms directory exceeds AFS limits
Summary: drpms directory exceeds AFS limits
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: yum
Version: 22
Hardware: All
OS: All
unspecified
low
Target Milestone: ---
Assignee: Packaging Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-08 19:51 UTC by nwf
Modified: 2016-07-19 20:04 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-19 20:04:08 UTC
Type: Bug


Attachments (Terms of Use)

Description nwf 2013-12-08 19:51:49 UTC
Description of problem:

We are attempting to provide a Fedora mirror backed by AFS; however, development/rawhide/armhfp/os/drpms is huge and exceeds the 64Ki "slot" limit on AFS directories (especially given the length of each file name is such that it occupies four or more slots).  It would be better if this directory were split up by initial letter (i.e. os/drpms/{a,b,c}/...).

Version-Release number of selected component (if applicable): all

Comment 1 Dominic Hargreaves 2014-04-25 17:06:57 UTC
This is now the case for

download.fedora.redhat.com/pub/fedora/linux/updates/19/x86_64/drpms

mean that existing mirrors using AFS (eg mirror.ox.ac.uk) are no longer able to update. Is there any chance this could be looked at?

Also, what is the impact of drpms not being up to date? Will yum fall back to downloading complete pacakges?

Thanks,
Dominic.

Comment 2 Dominic Hargreaves 2014-04-25 17:14:15 UTC
I should add that we have come across this in the past and already excluded the drpms directories for older releases, so this isn't necessarily a brand new issue.

Comment 3 Jaroslav Reznik 2015-03-03 15:18:59 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22

Comment 4 Fedora End Of Life 2016-07-19 20:04:08 UTC
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.